﻿CREATE TABLE [dbo].[RegistrationErrors] (
    [RegistrationErrorId] INT            IDENTITY (1, 1) NOT NULL,
    [UserEmail]           NVARCHAR (56)  NULL,
    [ErrorType]           NVARCHAR (50)  NULL,
    [Message]             NVARCHAR (200) NULL,
    [Code]                NVARCHAR (50)  NULL,
    [Parameter]           NVARCHAR (50)  NULL,
    [Charge]              NVARCHAR (50)  NULL,
    [StripeError]         NVARCHAR (200) NULL,
    [FirstName]           NVARCHAR (56)  NULL,
    [LastName]            NVARCHAR (56)  NULL,
    [Address]             NVARCHAR (200) NULL,
    [City]                NVARCHAR (56)  NULL,
    [Province]            NVARCHAR (56)  NULL,
    [PostalCode]          NVARCHAR (20)  NULL,
    [PhoneNumberCell]     NVARCHAR (10)  NULL,
    [PhoneNumberLandLine] NVARCHAR (10)  NULL,
    [Carrier]             NVARCHAR (56)  NULL,
    [BillingName]         NVARCHAR (120) NULL,
    [BillingAddress]      NVARCHAR (200) NULL,
    [BillingCity]         NVARCHAR (56)  NULL,
    [BillingProvince]     NVARCHAR (56)  NULL,
    [BillingPostalCode]   NVARCHAR (20)  NULL,
    [CreatedDateTime]     DATETIME       CONSTRAINT [DF_RegistrationErrors_CreatedDateTime] DEFAULT (getdate()) NOT NULL,
    CONSTRAINT [PK_RegistrationErrors] PRIMARY KEY CLUSTERED ([RegistrationErrorId] ASC)
);

